use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::IVerbatim;

use super::macros::render;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "verbatim")]
pub(crate) struct RenderVerbatim {
    contents: String,
}

render!(
    RenderVerbatim,
    IVerbatim,
    original,
    _config,
    _output_directory,
    _output_file,
    {
        Ok(RenderVerbatim {
            contents: original.contents.clone(),
        })
    }
);
