use super::macros::intermediate;

use super::table_row::ITableRow;
use crate::error::CustomError;

#[derive(Debug, Clone)]
pub(crate) struct ITable {
    pub(crate) children: Vec<ITableRow>,
}

intermediate!(ITable, Table, original, registry, {
    let children = {
        let mut ret = Vec::new();
        for obj in original.children.iter() {
            ret.push(ITableRow::new(registry.clone(), obj).await?);
        }
        ret
    };

    Ok(ITable { children })
});
